Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.artifacts
Interface ResolvedDependency

    public interface ResolvedDependency

Method Summary
`java.util.Set<java.io.File>` | `getAllFiles(ResolvedDependency parent)`
`java.util.Set<java.io.File>` | `getAllModuleFiles()` Returns the artifact files belonging to this ResolvedDependencie and recursively to its children.
`java.util.Set<ResolvedDependency>` | `getChildren()` Returns the transitive ResolvedDependency instances of this resolved dependency.
`java.lang.String` | `getConfiguration()` Returns the configuration under which this instance was resolved.
`java.util.Set<java.io.File>` | `getFiles(ResolvedDependency parent)`
`java.util.Set<java.io.File>` | `getModuleFiles()` Returns the artifact files belonging to this ResolvedDependencie.
`java.lang.String` | `getName()` Returns the name of the dependency.
`java.util.Set<java.io.File>` | `getParentFiles(ResolvedDependency parent)`
`java.util.Set<ResolvedDependency>` | `getParents()` Returns the ResolvedDependency instances that have this instance as a transitive dependency.

Method Detail

### getName

    java.lang.String getName()

  Returns the name of the dependency. The name is differently constructed for different types of dependencies. For external dependencies the name consists of the group, name and version. For self resolving dependencies the name consists of the file paths belonging to this dependency.

### getConfiguration

    java.lang.String getConfiguration()

  Returns the configuration under which this instance was resolved.

### getChildren

    java.util.Set<ResolvedDependency> getChildren()

  Returns the transitive ResolvedDependency instances of this resolved dependency. Returns never null.

### getParents

    java.util.Set<ResolvedDependency> getParents()

  Returns the ResolvedDependency instances that have this instance as a transitive dependency. Returns never null.

### getModuleFiles

    java.util.Set<java.io.File> getModuleFiles()

  Returns the artifact files belonging to this ResolvedDependencie. Returns never null. But there might be ResolvedDependencies which don't have artifact files and where an empty set is returned.

### getAllModuleFiles

    java.util.Set<java.io.File> getAllModuleFiles()

  Returns the artifact files belonging to this ResolvedDependencie and recursively to its children. Returns never null.

### getParentFiles

    java.util.Set<java.io.File> getParentFiles(ResolvedDependency parent)

### getFiles

    java.util.Set<java.io.File> getFiles(ResolvedDependency parent)

### getAllFiles

    java.util.Set<java.io.File> getAllFiles(ResolvedDependency parent)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD